Bug 232144 - net/ipdecap: Fix OpenSSL build
Summary: net/ipdecap: Fix OpenSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://github.com/lpefferkorn/ipdeca...
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 02:42 UTC by Nathan
Modified: 2018-10-14 19:06 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (loic-freebsd)


Attachments
Fix openssl (3.51 KB, patch)
2018-10-10 02:45 UTC, Nathan
no flags Details | Diff
Fix openssl (6.04 KB, patch)
2018-10-10 06:29 UTC, Nathan
no flags Details | Diff
Fix ssl (6.04 KB, patch)
2018-10-10 06:37 UTC, Nathan
no flags Details | Diff
Fix ssl (6.10 KB, patch)
2018-10-10 06:47 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-10 02:42:49 UTC
net/ipdecap: Fix OpenSSL build                                                                        PR:             231931                             Submitted by:   Nathan <ndowens@yahoo.com>
Comment 1 Nathan 2018-10-10 02:45:08 UTC
Created attachment 197992 [details]
Fix openssl
Comment 2 Antoine Brodin freebsd_committer 2018-10-10 06:01:52 UTC
This doesn't look good,  EVP_CIPHER_CTX_init is used on uninitialized memory.
Comment 3 Nathan 2018-10-10 06:29:08 UTC
Created attachment 197993 [details]
Fix openssl

Match upstreams changes
Comment 4 Nathan 2018-10-10 06:37:12 UTC
Created attachment 197994 [details]
Fix ssl

Fix missed code change
Comment 5 Nathan 2018-10-10 06:47:48 UTC
Created attachment 197995 [details]
Fix ssl

Sorry for the pings  this should be last at this time
Comment 6 loic-freebsd 2018-10-10 20:12:39 UTC
Hello,

Thanks for looking at this!
What about updating the port to the latest 0.7.2 upstream version instead, which includes the openssl fix?

https://loicpefferkorn.net/ipdecap/ipdecap-0.7.2.tar.gz

I wasn't able to find the time to do it so far, but I'll try to find some time this week-end if this has not been done before.

Kind regards,
Loic
Comment 7 Nathan 2018-10-10 21:23:49 UTC
(In reply to loic-freebsd from comment #6)
New version doesn't compile. But I can for the moment use fixes to patch current version in ports
Comment 8 loic-freebsd 2018-10-10 21:33:09 UTC
(In reply to Nathan from comment #7)

I am ok with the patch then. I will investigate the latest version build error this week-end.
Comment 9 loic-freebsd 2018-10-13 11:29:37 UTC
I've submitted a patch to update to 0.7.2 and fix the build issue at the same time: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232223
Comment 10 Steve Wills freebsd_committer 2018-10-14 19:06:54 UTC
Fixed in r482107